Package org.springframework.aot.hint

# Class ResourceBundleHint

java.lang.Object
org.springframework.aot.hint.ResourceBundleHint

All Implemented Interfaces:
  `ConditionalHint`

public final class ResourceBundleHint extends Object implements ConditionalHint
A hint that describes the need to access a `ResourceBundle`.

Since:
  6.0
Author:
  Stephane Nicoll, Brian Clozel

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ResourceBundleHint.Builder`
Builder for `ResourceBundleHint`.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object other)`
`String`
`getBaseName()`
Return the `baseName` of the resource bundle.
`TypeReference`
`getReachableType()`
Return the type that should be reachable for this hint to apply, or `null` if this hint should always been applied.
`int`
`hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.aot.hint.ConditionalHint

`conditionMatches`

## Method Details

### getBaseName

public String getBaseName()
Return the `baseName` of the resource bundle.

### getReachableType

@Nullable public TypeReference getReachableType()
Description copied from interface: `ConditionalHint`
Return the type that should be reachable for this hint to apply, or `null` if this hint should always been applied.

Specified by:
  `getReachableType` in interface `ConditionalHint`
Returns:
  the reachable type, if any

### equals

public boolean equals(@Nullable Object other)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`